"use strict";
this.name	     = "Synchronised_Torus";
this.version     = "0.92";    // Date 2015-12-13
this.description = "World script for awarding torus drive synchronisation equipment at start-up";
this.author	     = "Fritz G.";   
this.copyright	 = "© 2015 Fritz G.";
this.licence	 = "CC BY-NC-SA 4.0";

//--------------------------------------------------------------------------------------------------------------------
// For information and configuration see st_equipment.js
//--------------------------------------------------------------------------------------------------------------------
this.$st_torusEngaged = false;  // this can be used read only (!) by other OXPs (similar to player.ship.torusEngaged)    
//--------------------------------------------------------------------------------------------------------------------

// Award primable equipment at startup.
// It is assumed that every ship can do torus synchronisation without the player having to buy 
// additional equipment, because every ship can do it in Escort Contracts OXP too. The equipment 
// is only needed for starting and stopping the synchronisation by pressing a key.
this.startUp = function() 
{
	if(!player.ship.awardEquipment("EQ_SYNC_TORUS")) 
	{	
		log(this.name, "Equipment EQ_SYNC_TORUS already present or failed to award");
	}
	else
	{
		log(this.name, "Equipment EQ_SYNC_TORUS successfully awarded");
	}
};


